[cairo-commit] roadster ChangeLog, 1.14, 1.15 Makefile.am, 1.1.1.1, 1.2 autogen.sh, 1.2, 1.3

Ian McIntosh commit at pdx.freedesktop.org
Wed Feb 23 09:22:08 PST 2005


Committed by: ian

Update of /cvs/cairo/roadster
In directory gabe:/tmp/cvs-serv25182

Modified Files:
	ChangeLog Makefile.am autogen.sh 
Log Message:
        * Major build file cleanup by Nathan Fredrickson <nathan at silverorange.com>
        * All header files moved into src/
        * configure: Check for mysql and gpsd.


Index: ChangeLog
===================================================================
RCS file: /cvs/cairo/roadster/ChangeLog,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -d -r1.14 -r1.15
--- ChangeLog	23 Feb 2005 01:44:39 -0000	1.14
+++ ChangeLog	23 Feb 2005 17:22:06 -0000	1.15
@@ -1,3 +1,9 @@
+2005-02-23  Ian McIntosh  <ian_mcintosh at linuxadvocate.org>
+	
+	* Major build file cleanup by Nathan Fredrickson <nathan at silverorange.com>
+	* All header files moved into src/
+	* configure: Check for mysql and gpsd.
+
 2005-02-22  Ian McIntosh  <ian_mcintosh at linuxadvocate.org>
 
 	* main.c: Added call to init scenemanager. 

Index: Makefile.am
===================================================================
RCS file: /cvs/cairo/roadster/Makefile.am,v
retrieving revision 1.1.1.1
retrieving revision 1.2
diff -u -d -r1.1.1.1 -r1.2
--- Makefile.am	18 Feb 2005 04:22:49 -0000	1.1.1.1
+++ Makefile.am	23 Feb 2005 17:22:06 -0000	1.2
@@ -1,34 +1,12 @@
-## Process this file with automake to produce Makefile.in
-## Created by Anjuta - will be overwritten
-## If you don't want it to overwrite it,
-## 	Please disable it in the Anjuta project configuration
-
-SUBDIRS = intl po macros include src pixmaps
-
-roadsterdocdir = ${prefix}/doc/roadster
-roadsterdoc_DATA = \
-	README\
-	COPYING\
-	AUTHORS\
-	ChangeLog\
-	INSTALL\
-	NEWS\
-	TODO\
-	ABOUT-NLS
-
-EXTRA_DIST = $(roadsterdoc_DATA)
+SUBDIRS = src data pixmaps po
 
-gnomemenudir = $(prefix)/@NO_PREFIX_PACKAGE_MENU_DIR@/Applications
-gnomemenu_DATA = roadster.desktop
+intltool_extra = intltool-extract.in intltool-merge.in intltool-update.in
 
-roadster_glade_filedir = $(prefix)/@NO_PREFIX_PACKAGE_DATA_DIR@/@PACKAGE@/glade
-roadster_glade_file_DATA = roadster.glade
+EXTRA_DIST = $(intltool_extra)
 
-# Copy all the spec files. Of cource, only one is actually used.
-dist-hook:
-	for specfile in *.spec; do \
-		if test -f $$specfile; then \
-			cp -p $$specfile $(distdir); \
-		fi \
-	done
+DISTCLEANFILES = 		\
+	intltool-extract 	\
+	intltool-merge 		\
+	intltool-update
 
+DISTCHECK_CONFIGURE_FLAGS = --disable-schemas-install

Index: autogen.sh
===================================================================
RCS file: /cvs/cairo/roadster/autogen.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- autogen.sh	19 Feb 2005 21:39:43 -0000	1.2
+++ autogen.sh	23 Feb 2005 17:22:06 -0000	1.3
@@ -1,137 +1,24 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-set -e
-
-PACKAGE=cairo
-
-LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
-LIBTOOLIZE_FLAGS="--copy --force"
-ACLOCAL=${ACLOCAL-aclocal}
-AUTOHEADER=${AUTOHEADER-autoheader}
-AUTOMAKE=${AUTOMAKE-automake}
-AUTOMAKE_FLAGS="--add-missing"
-AUTOCONF=${AUTOCONF-autoconf}
-
-# automake 1.8 requires autoconf 2.58
-# automake 1.7 requires autoconf 2.54
-# I don't know what automake 1.4 wants, but the following seems to work...
-automake_min_vers=1.4
-aclocal_min_vers=$automake_min_vers
-autoconf_min_vers=2.54
-libtoolize_min_vers=1.4
-
-# The awk-based string->number conversion we use needs a C locale to work as expected.
-LANG=C
-LC_NUMERIC=C
-
-ARGV0=$0
-
-if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1 ; then
-    if ($AUTOCONF --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$autoconf_min_vers') \
-			       exit 1; exit 0; }');
-    then
-       echo "$ARGV0: ERROR: \`$AUTOCONF' is too old."
-       $AUTOCONF --version
-       echo "           (version $autoconf_min_vers or newer is required)"
-       DIE="yes"
-    fi
-else
-    echo $AUTOCONF: command not found
-    echo
-    echo "$ARGV0: ERROR: You must have \`autoconf' installed to compile $PACKAGE."
-    echo "           (version $autoconf_min_vers or newer is required)"
-    DIE="yes"
-fi
-
-if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 ; then
-  if ($AUTOMAKE --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$automake_min_vers') \
-			     exit 1; exit 0; }');
-     then
-     echo "$ARGV0: ERROR: \`$AUTOMAKE' is too old."
-     $AUTOMAKE --version
-     echo "           (version $automake_min_vers or newer is required)"
-     DIE="yes"
-  fi
-  if ($ACLOCAL --version) < /dev/null > /dev/null 2>&1; then
-    if ($ACLOCAL --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$aclocal_min_vers' ) \
-						exit 1; exit 0; }' );
-    then
-      echo "$ARGV0: ERROR: \`$ACLOCAL' is too old."
-      $ACLOCAL --version
-      echo "           (version $aclocal_min_vers or newer is required)"
-      DIE="yes"
-    fi
-  else
-    echo $ACLOCAL: command not found
-    echo
-    echo "$ARGV0: ERROR: Missing \`$ACLOCAL'"
-    echo "           The version of $AUTOMAKE installed doesn't appear recent enough."
-    DIE="yes"
-  fi
-else
-    echo $AUTOMAKE: command not found
-    echo
-    echo "$ARGV0: ERROR: You must have \`automake' installed to compile $PACKAGE."
-    echo "           (version $automake_min_vers or newer is required)"
-    DIE="yes"
-fi
-
-if ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 ; then
-    if ($LIBTOOLIZE --version | awk 'NR==1 { if( $4 >= '$libtoolize_min_vers') \
-			       exit 1; exit 0; }');
-    then
-       echo "$ARGV0: ERROR: \`$LIBTOOLIZE' is too old."
-       echo "           (version $libtoolize_min_vers or newer is required)"
-       DIE="yes"
-    fi
-else
-    echo $LIBTOOLIZE: command not found
-    echo
-    echo "$ARGV0: ERROR: You must have \`libtoolize' installed to compile $PACKAGE."
-    echo "           (version $libtoolize_min_vers or newer is required)"
-    DIE="yes"
-fi
-
-if test -z "$ACLOCAL_FLAGS"; then
-    acdir=`aclocal --print-ac-dir`
-    if [ ! -f $acdir/pkg.m4 ]; then
-	echo "$ARGV0: Error: Could not find pkg-config macros."
-	echo "        (Looked in $acdir/pkg.m4)"
-	echo "        If pkg.m4 is available in /another/directory, please set"
-	echo "        ACLOCAL_FLAGS=\"-I /another/directory\""
-	echo "        Otherwise, please install pkg-config."
-	echo ""
-	echo "pkg-config is available from:"
-	echo "http://www.freedesktop.org/software/pkgconfig/"
-	DIE=yes
-    fi
-fi
-
-if test "X$DIE" != X; then
-  exit 1
-fi
 
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
 
-if test -z "$*"; then
-  echo "$ARGV0:	Note: \`./configure' will be run with no arguments."
-  echo "		If you wish to pass any to it, please specify them on the"
-  echo "		\`$0' command line."
-  echo
-fi
+PKG_NAME="roadster"
 
-do_cmd() {
-    echo "$ARGV0: running \`$@'"
-    $@
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
 }
 
-do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
-
-do_cmd $ACLOCAL $ACLOCAL_FLAGS
-
-do_cmd $AUTOHEADER
-
-do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
-
-do_cmd $AUTOCONF
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
 
-do_cmd ./configure --enable-maintainer-mode --enable-gtk-doc ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
+ACLOCAL_FLAGS="-I macros" \
+USE_COMMON_DOC_BUILD=yes \
+REQUIRED_AUTOMAKE_VERSION=1.7 \
+USE_GNOME2_MACROS=1 \
+. gnome-autogen.sh




More information about the cairo-commit mailing list